BEGIN {
    count = 0;
    label="%global%";
    OFS=":";
}

function dump_lines()
{
    for (i = 0; i<count; i++)
    {
	print label,lines[i];
	delete lines[i];
    }
    count = 0;
}

/^[[:space:]]*(image|other)[[:space:]]*=/ { dump_lines(); }
/.*/				  { lines[count++] = $0 }

/^[[:space:]]*label[[:space:]]*=/  	{
    split($0,names,"[[:space:]]*=[[:space:]]*");
    label=names[2];
}

END { dump_lines();}
